Bug 65398 - up2date won't accept control characters in password
up2date won't accept control characters in password
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: usermode (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-23 01:08 EDT by Joel McClung
Modified: 2007-04-18 12:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:52:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel McClung 2002-05-23 01:08:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-31 i686)

Description of problem:
I use control characters (^G, for example) in my root password.  up2date will
not accept the password because the root-password prompt won't accept control
characters.  I know not to use any of the following control characters:
^[QWRUIOSDFJLZCBM]

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Change the root password to include a control-G as one of the characters
2. log in as a normal user and run up2date.

Actual Results:  As I'm typing in the password, it will not print a ``*''
character nor advance the cursor when I type the ^G

Additional info:

up2date should have accepted the ^G.  Otherwise, the passwd program should be
modified to not accept control characters.
Comment 1 Adrian Likins 2002-08-08 23:03:26 EDT
the root password dialog is actually part of the utility
"usermode", so reassigning there.

"usermode" is a wrapper that prompts users for auth
information, and then runs the application in question.
Comment 2 Bill Nottingham 2006-08-07 15:33:29 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 12:52:04 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.